Passer au contenu

Veo 3.1 Fast Image to Video

Intégrer

Identifiant du modèle veo3.1/fast/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Cette requête: 0,40 $ 400 crédits API · ≈ 43,03 ₽ L’exécuter sur cette page

Obtenir une clé API
Google Image vers vidéo Audio natifSortie 4KRapide4–8 sjusqu’à 4k #fast#dialogue

Anime une image en clip de 4 à 8 secondes avec son, aux tarifs de Veo 3.1 Fast.

Exemples

Entrée
Sortie · ~72 s

prompt{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }

4s720pgenerate_audio: false0,40 $ · 400 crédits API

Prompt de @azed_ai sur X

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour lorsque vous les modifiez.

•requis 1674 / 20000

Description textuelle de la vidéo souhaitée à générer.

•requis image_url
Déposez un fichier, ou

URL de l'image source de l'animation, avec recadrage automatique lorsque ses proportions diffèrent de 16:9 ou 9:16. La source recommandée est au moins en 720p et utilise déjà l'un de ces rapports.

duration 4 s

Durée de la vidéo de sortie.

aspect_ratio par défaut auto

Rapport hauteur/largeur de la vidéo de sortie, limité à 16:9 ou 9:16.

resolution

Résolution utilisée pour la vidéo de sortie.

Avancé negative_prompt · safety_tolerance · seed · auto_fix

Prompt négatif utilisé pour orienter la génération vidéo.

safety_tolerance par défaut 4

Définissez la tolérance de modération du contenu entre le niveau le moins restrictif, 6, et le niveau le plus strict, 1, qui bloque la plupart des contenus.

Valeur de graine qui initialise la génération de nombres aléatoires.

POST /run/veo3.1/fast/image-to-video?wait=20 devis → 0,40 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement à la Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

Créé sur Doitong

Créations publiques réalisées avec Veo 3.1 par la communauté Doitong. Réutilisez un prompt en un clic.

Créations publiques affichées : 16
Vidéo

Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...

Vidéo

Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...

Vidéo

Главный герой открывает дверь и попадает в розовый сказочный HR-мир. Камера показывает пони, сердечки, блестящие облачка, розовый свет и всё вокруг как будто сделано из милоты. В центре появляется бимбо-глава HR — очень гламурная, в розовом, с идеальной внешностью и ярким макияжем. Она дружелюбно...

Vidéo

Главный герой открывает дверь и оказывается в гигантском мире Minecraft-like. Камера показывает бесконечные фермы, механизмы, падающие ресурсы, мобов, редстоун и автоматизацию. На переднем плане стоит глава отдела фарма — квадратный парень с мотыгой в руках. Он разворачивается к герою и жестом...

Vidéo

Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...

Vidéo

Камера показывает рабочую жизнь HR-отдела: одна сотрудница катается на кресле, кто-то берёт подушку Кати, несколько человек сидят и увлечённо болтают, другие пьют чай и кушают, и всё это происходит так, будто это стратегическая работа мирового уровня. Глава HR стоит посреди этого хаоса и с милой...

Vidéo

Кинематографичная сцена в современном офисном коридоре. Главный герой стоит напротив четырёх огромных дверей, каждая из которых выглядит как вход в отдельную вселенную. Над дверями большими буквами написано: Разработка, Маркетинг, HR, Фарм. Сначала камера показывает героя со спины или в...

Vidéo

Глава фарма ведёт главного героя по своему миру и показывает, как устроены фермы и процессы. Затем он указывает на отдельную часть системы, где визуально показана новая схема выдачи аккаунтов по новым гео. Вокруг двигаются механизмы, работают фермы, падает дроп, всё автоматизировано и работает...

À propos de Veo 3.1 Fast Image to Video

Version rapide de Veo 3.1 image-to-video : même réalisme, parole et son à partir d'une image de départ, avec un rendu plus rapide et un prix bien inférieur. 4, 6 ou 8 secondes en 720p, 1080p ou 4K, cadrage adaptatif ou fixe en 16:9 / 9:16, audio activé ou désactivé.

Paramètres

Envoyez soit le nom canonique, soit le nom natif, mais pas les deux. Noms canoniques

NomType Par défautAutorisé Description
promptrequis
Typestring
≤ 20 000 caractères
Description textuelle de la vidéo souhaitée à générer.
aspect_ratiofacultatif
Typeenum
Par défautauto
auto16:99:16
Rapport hauteur/largeur de la vidéo de sortie, limité à 16:9 ou 9:16.
durationfacultatif
Typeenum
Par défaut8s
4s6s8s
Durée de la vidéo de sortie.
negative_promptfacultatif
Typestring | null
Prompt négatif utilisé pour orienter la génération vidéo.
resolutionfacultatif
Typeenum
Par défaut720p
720p1080p4k
Résolution utilisée pour la vidéo de sortie.
generate_audiofacultatif
Typeboolean
Par défauttrue
Contrôle l’inclusion d’un audio généré dans la vidéo.
seedfacultatif
Typeinteger | null
Valeur de graine qui initialise la génération de nombres aléatoires.
auto_fixfacultatif
Typeboolean
Par défautfalse
Réécriture automatique des prompts pour tenter de résoudre les échecs des contrôles de politique de contenu ou d'autres validations.
safety_tolerancefacultatif
Typeenum
Par défaut4
123456
Définissez la tolérance de modération du contenu entre le niveau le moins restrictif, 6, et le niveau le plus strict, 1, qui bloque la plupart des contenus.
image_urlrequis image
Typeurl · image
URL de l'image source de l'animation, avec recadrage automatique lorsque ses proportions diffèrent de 16:9 ou 9:16. La source recommandée est au moins en 720p et utilise déjà l'un de ces rapports.
requis Nom canonique, également accepté

Les paramètres de fichier acceptent une URL publique https://, un URI data: jusqu’à 10 MB ou le file_url d’un téléversement. Fichiers

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/fast/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "The fox trots along the path and the fireflies swirl around it, camera slowly pushes in",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 4,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie dans notre stockage : conservée indéfiniment (facturation au Go-mois) ou 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Même structure pour chaque modèletype, url, content_type, width, height et duration, pour les images, vidéos et fichiers audio. output est le propre objet de résultat du modèle.
Champs de sortie
video
object {url, content_type, file_name, file_size}Vidéo produite par le modèle.

Plus de modèles : Image vers vidéo

Pour les agents IA : cette page au format Markdown est disponible à https://doitong.com/fr/developers/models/veo3.1/fast/image-to-video.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt